Interface CreateInferenceRouterRequest.Builder
- All Superinterfaces:
AwsRequest.Builder,Buildable,CopyableBuilder<CreateInferenceRouterRequest.Builder,,CreateInferenceRouterRequest> SageMakerRequest.Builder,SdkBuilder<CreateInferenceRouterRequest.Builder,,CreateInferenceRouterRequest> SdkPojo,SdkRequest.Builder
- Enclosing class:
CreateInferenceRouterRequest
-
Method Summary
Modifier and TypeMethodDescriptionclientToken(String clientToken) A unique, case-sensitive identifier that you provide to ensure the idempotency of the request.inferenceRouterName(String inferenceRouterName) The name of the inference router.overrideConfiguration(Consumer<AwsRequestOverrideConfiguration.Builder> builderConsumer) Add an optional request override configuration.overrideConfiguration(AwsRequestOverrideConfiguration overrideConfiguration) Add an optional request override configuration.routingTargets(Collection<RoutingTarget> routingTargets) The routing targets of the inference router.routingTargets(Consumer<RoutingTarget.Builder>... routingTargets) The routing targets of the inference router.routingTargets(RoutingTarget... routingTargets) The routing targets of the inference router.tags(Collection<Tag> tags) A list of key-value pairs to apply to the inference router.tags(Consumer<Tag.Builder>... tags) A list of key-value pairs to apply to the inference router.A list of key-value pairs to apply to the inference router.Methods inherited from interface software.amazon.awssdk.awscore.AwsRequest.Builder
overrideConfigurationMethods inherited from interface software.amazon.awssdk.utils.builder.CopyableBuilder
copyMethods inherited from interface software.amazon.awssdk.services.sagemaker.model.SageMakerRequest.Builder
buildMethods inherited from interface software.amazon.awssdk.utils.builder.SdkBuilder
applyMutation, buildMethods inherited from interface software.amazon.awssdk.core.SdkPojo
equalsBySdkFields, sdkFieldNameToField, sdkFields
-
Method Details
-
inferenceRouterName
The name of the inference router. The name must be unique within your account in the current Amazon Web Services Region. The name is case sensitive.
- Parameters:
inferenceRouterName- The name of the inference router. The name must be unique within your account in the current Amazon Web Services Region. The name is case sensitive.- Returns:
- Returns a reference to this object so that method calls can be chained together.
-
routingTargets
The routing targets of the inference router. Each routing target is a model that callers name when they invoke the router, and the destinations that serve it.
- Parameters:
routingTargets- The routing targets of the inference router. Each routing target is a model that callers name when they invoke the router, and the destinations that serve it.- Returns:
- Returns a reference to this object so that method calls can be chained together.
-
routingTargets
The routing targets of the inference router. Each routing target is a model that callers name when they invoke the router, and the destinations that serve it.
- Parameters:
routingTargets- The routing targets of the inference router. Each routing target is a model that callers name when they invoke the router, and the destinations that serve it.- Returns:
- Returns a reference to this object so that method calls can be chained together.
-
routingTargets
CreateInferenceRouterRequest.Builder routingTargets(Consumer<RoutingTarget.Builder>... routingTargets) The routing targets of the inference router. Each routing target is a model that callers name when they invoke the router, and the destinations that serve it.
This is a convenience method that creates an instance of theRoutingTarget.Builderavoiding the need to create one manually viaRoutingTarget.builder().When the
Consumercompletes,SdkBuilder.build()is called immediately and its result is passed toroutingTargets(List<RoutingTarget>).- Parameters:
routingTargets- a consumer that will call methods onRoutingTarget.Builder- Returns:
- Returns a reference to this object so that method calls can be chained together.
- See Also:
-
clientToken
A unique, case-sensitive identifier that you provide to ensure the idempotency of the request. If you reuse a client token, use the same request parameters. Otherwise, the request fails.
- Parameters:
clientToken- A unique, case-sensitive identifier that you provide to ensure the idempotency of the request. If you reuse a client token, use the same request parameters. Otherwise, the request fails.- Returns:
- Returns a reference to this object so that method calls can be chained together.
-
tags
A list of key-value pairs to apply to the inference router. For information about tagging, see Tagging Amazon Web Services resources in the Amazon Web Services General Reference.
- Parameters:
tags- A list of key-value pairs to apply to the inference router. For information about tagging, see Tagging Amazon Web Services resources in the Amazon Web Services General Reference.- Returns:
- Returns a reference to this object so that method calls can be chained together.
-
tags
A list of key-value pairs to apply to the inference router. For information about tagging, see Tagging Amazon Web Services resources in the Amazon Web Services General Reference.
- Parameters:
tags- A list of key-value pairs to apply to the inference router. For information about tagging, see Tagging Amazon Web Services resources in the Amazon Web Services General Reference.- Returns:
- Returns a reference to this object so that method calls can be chained together.
-
tags
A list of key-value pairs to apply to the inference router. For information about tagging, see Tagging Amazon Web Services resources in the Amazon Web Services General Reference.
This is a convenience method that creates an instance of theTag.Builderavoiding the need to create one manually viaTag.builder().When the
Consumercompletes,SdkBuilder.build()is called immediately and its result is passed totags(List<Tag>).- Parameters:
tags- a consumer that will call methods onTag.Builder- Returns:
- Returns a reference to this object so that method calls can be chained together.
- See Also:
-
overrideConfiguration
CreateInferenceRouterRequest.Builder overrideConfiguration(AwsRequestOverrideConfiguration overrideConfiguration) Description copied from interface:AwsRequest.BuilderAdd an optional request override configuration.- Specified by:
overrideConfigurationin interfaceAwsRequest.Builder- Parameters:
overrideConfiguration- The override configuration.- Returns:
- This object for method chaining.
-
overrideConfiguration
CreateInferenceRouterRequest.Builder overrideConfiguration(Consumer<AwsRequestOverrideConfiguration.Builder> builderConsumer) Description copied from interface:AwsRequest.BuilderAdd an optional request override configuration.- Specified by:
overrideConfigurationin interfaceAwsRequest.Builder- Parameters:
builderConsumer- AConsumerto which an emptyAwsRequestOverrideConfiguration.Builderwill be given.- Returns:
- This object for method chaining.
-